Subject: Re: #462,devuan-installer: beta 3 server iso does not load firmware-iwlwifi

From: fsmithred <[email-masked]>
Date: Sat, 16 May 2020 11:38:20 -0400

I thought this was fixed, but I can reproduce it on two different laptops
- one with realtek and one with iwlwifi. I used the amd64 beta3 netinstall
iso.

Current workaround is this:
When you get to network setup, press alt-F2 to get a console, and run:
  rm /tmp/*

Then press alt-F1 to return to the installer.
Select <Go Back> and re-run Detect network hardware
You should then be able to connect with wireless.

fsmithred

> 
> From: Ryutaroh Matsumoto <[email-masked]>
> To: Devuan Bug Tracking System <[email-masked]>
> Subject: devuan-installer: beta 3 server iso does not load firmware-iwlwifi
> Date: Sat, 16 May 2020 17:17:20 +0900 (JST)
> 
> Package: devuan-installer
> Severity: normal
> 
> Dear Maintainer,
> 
> I installed Devuan by Beta 3 server iso image released on May 2020.
> My laptop needs firmware-iwlwifi package to use its built-in wifi.
> 
> https://files.devuan.org/devuan_beowulf/Release_notes.txt says:
> ### Non-free firmware
> 
> All Devuan 3 Beowulf install media make non-free firmware packages
> available at install time. These are only installed if your networking
> hardware requires them in order to function. You can avoid the
> automatic installation of non-free firmware by selecting the
> "Expert install" option in the installation menu.
> 
> But firmware-iwlwifi package is not installed on my laptop
> by beta3 server iso.
> The wifi is unavailable at the installation, and I had to use Ethernet.
> 
> Best regards, Ryutaroh Matsumoto
> 
> -- System Information:
> Distributor ID:	Debian
> Description:	Devuan GNU/Linux 3 (beowulf)
> Release:	3
> Codename:	beowulf
> Architecture: x86_64
> 
> Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: sysvinit (via /sbin/init)
> LSM: AppArmor: enabled
>